package com.ruoyi.dxp.mapper;

import java.util.List;
import com.ruoyi.dxp.domain.DataItem;

/**
 * 数据字段Mapper接口
 * 
 * @author jy
 * @date 2022-11-12
 */
public interface DataItemMapper 
{
    /**
     * 查询数据字段
     * 
     * @param id 数据字段主键
     * @return 数据字段
     */
    public DataItem selectDataItemById(Long id);

    /**
     * 查询数据字段列表
     * 
     * @param dataItem 数据字段
     * @return 数据字段集合
     */
    public List<DataItem> selectDataItemList(DataItem dataItem);

    /**
     * 新增数据字段
     * 
     * @param dataItem 数据字段
     * @return 结果
     */
    public int insertDataItem(DataItem dataItem);

    /**
     * 修改数据字段
     * 
     * @param dataItem 数据字段
     * @return 结果
     */
    public int updateDataItem(DataItem dataItem);

    /**
     * 删除数据字段
     * 
     * @param id 数据字段主键
     * @return 结果
     */
    public int deleteDataItemById(Long id);

    /**
     * 批量删除数据字段
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDataItemByIds(Long[] ids);
}
